<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: log_view.php
| Author: HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

require_once INFUSIONS."sf_admin_log_panel/infusion_db.php";
require_once INFUSIONS."sf_admin_log_panel/inc/functions.php";
require_once INCLUDES."bbcode_include.php";

if (!isset($_GET['log_id']) || !isnum($_GET['log_id'])) { redirect("index.php"); }
$log_id = ($_REQUEST['log_id']);

if (!iADMIN && $settings_global['set_onf'] == '0') { redirect(ADMIN_LOG."maintenance.php"); }
add_to_title(" | ".$locale['admlog_03']);

$log_data = dbarray(dbquery("SELECT * FROM ".DB_ADMIN_LOG." WHERE log_id = '".$_GET['log_id']."'"));
$log_user = $log_data['log_user'];
$log_sfuser = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." INNER JOIN ".DB_ADMIN_LOG." WHERE user_id='$log_user'"));

   if (!iADMIN && ($log_data['log_public'] == '0')) { redirect("index.php"); }
   else { 
   
   $title = "".sprintf($locale['admlog_117'], $log_id)."";
   
        opentable($title);
		echo "<table class='tbl-border' width='100%'>\n<tr>\n";
		echo "<td class='tbl1' valign='top'>".$locale['global_070']." <a href='".BASEDIR."profile.php?lookup=".$log_data['log_user']."'>".$log_sfuser['user_name']."</a>\n";
		echo "".$locale['admlog_118']." ".showdate("%d/%m/%Y", $log_data['log_timestamp'])."</td>\n";
		echo "</tr>\n<tr>\n";
		echo "<td class='tbl1' valign='top'>";
		
		$user_cite = $log_data['log_user_cite'];
		$data_member = dbarray(dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id = '$user_cite'"));
		
		if (iADMIN) { $memberlink = "<a href='".ADMIN."members.php".$aidlink."&amp;step=view&amp;user_id=".$data_member['user_id']."'>".$data_member['user_name']."</a>&nbsp;"; }
		else { $memberlink = "<a href='".BASEDIR."profile.php?lookup=".$data_member['user_id']."'>".$data_member['user_name']."</a>&nbsp;"; }
		if ($user_cite !='0') { echo "".$locale['admlog_128']." ".$memberlink.""; }
		
        echo nl2br(parseubb(parsesmileys($log_data['log_details'])));
        echo "</td>";
        echo "</tr>\n<tr>\n";
        echo "<td class='tbl small'><a href='".ADMIN_LOG."index.php'>".$img_home."</a></td>\n";
        echo "</tr>\n</table>\n";
        closetable();
		
		if ($settings_global['set_comm'] == '2') {
		require_once INCLUDES."comments_include.php";
	    showcomments("AL", DB_ADMIN_LOG, "log_id", $_GET['log_id'], FUSION_SELF."?log_id=".$_GET['log_id']); 
	    }
	    elseif (($settings_global['set_comm'] == '1') && ($log_data['log_status'] == '0')) {
	    require_once INCLUDES."comments_include.php";
	    showcomments("AL", DB_ADMIN_LOG, "log_id", $_GET['log_id'], FUSION_SELF."?log_id=".$_GET['log_id']);
		}
	    elseif (($settings_global['set_comm'] == '1') && ($log_data['log_status'] == '1')) {
	    
	    opentable($locale['admlog_135']);
	    echo "<div align='center'>".$locale['admlog_136']."</div>\n";
	    closetable();
	    
	    require_once ADMIN_LOG_INC."comments_off.php";
	    nonewcomments("AL", DB_ADMIN_LOG, "log_id", $_GET['log_id'], FUSION_SELF."?log_id=".$_GET['log_id']);
	    
	    }
	 } 
		
		$log_user = ""; $log_sfuser = ""; $log_data = "";

require_once THEMES."templates/footer.php";
?>