<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: log_categories.php
| Author: Digitanium
| Adapted for Admin Log by HobbyMan
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("ALOG") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); };

require_once INFUSIONS."sf_admin_log_panel/inc/functions.php";
require_once INCLUDES."bbcode_include.php";
include ADMIN_LOG_ADMIN."nav_admin.php";

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['admlog_309'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['admlog_310'];
	} elseif ($_GET['status'] == "deln") {
		$message = $locale['admlog_313']."<br />\n<span class='small'>".$locale['admlog_314']."</span>";
	} elseif ($_GET['status'] == "dely") {
		$message = $locale['admlog_311'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['log_cat_id']) && isnum($_GET['log_cat_id']))) {
	$result = dbquery("SELECT * FROM ".DB_ADMIN_LOG." WHERE log_type='".$_GET['log_cat_id']."'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".DB_ADMIN_LOG_CATS." WHERE log_cat_id='".$_GET['log_cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
	} else {
	if (isset($_POST['save_log_cat'])) {
		$log_cat_name = stripinput(trim($_POST['log_cat_name']));
		
		if ($log_cat_name) {
			if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['log_cat_id']) && isnum($_GET['log_cat_id']))) {
				$result = dbquery("UPDATE ".DB_ADMIN_LOG_CATS." SET log_cat_name='$log_cat_name' WHERE log_cat_id='".$_GET['log_cat_id']."'");
				redirect(FUSION_SELF.$aidlink."&status=su");
			} else {
				$result = dbquery("INSERT INTO ".DB_ADMIN_LOG_CATS." (log_cat_name) VALUES ('$log_cat_name')");
				redirect(FUSION_SELF.$aidlink."&status=sn");
			}
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['log_cat_id']) && isnum($_GET['log_cat_id']))) {
		$result = dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS." WHERE log_cat_id='".$_GET['log_cat_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			$log_cat_name = $data['log_cat_name'];

			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;log_cat_id=".$data['log_cat_id'];
		} else {
  		redirect(FUSION_SELF.$aidlink);
		}
	} else {
		$log_cat_name = "";
		$formaction = FUSION_SELF.$aidlink;
		
	}
	
	opentable($locale['admlog_303']);
	echo "<form name='inputform' method='post' action='$formaction'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='400' class='center'>\n<tr>\n";
	echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['admlog_304'].":</td>\n";
	echo "<td class='tbl'><input type='text' name='log_cat_name' value='".$log_cat_name."' class='textbox' style='width:250px;' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'>\n";
	echo "<input type='submit' name='save_log_cat' value='".$locale['admlog_305']."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

	opentable($locale['admlog_307']);
	echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_ADMIN_LOG_CATS." ORDER BY log_cat_id ASC");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>\n";
		echo "<td align='center' width='1%' class='tbl2'></td><td class='tbl2' colspan='2'><strong>".$locale['admlog_306']."</strong></td>\n";
		echo "</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>\n";
			echo "<td class='$cell_color' width='1%'>".$data['log_cat_id']."</td>\n";
            echo "<td align='center'  class='$cell_color' style='white-space:nowrap'>".$data['log_cat_name']."</td>\n";
			echo "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;log_cat_id=".$data['log_cat_id']."'>".$locale['admlog_124']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;log_cat_id=".$data['log_cat_id']."' onclick=\"return confirm('".$locale['admlog_125']." ".$data['log_cat_name']." ".$locale['admlog_109']."?');\">".$locale['admlog_125']."</a></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr>\n<td align='center' class='tbl1'>".$locale['admlog_302']."</td></tr>\n</table>\n";
	}
	closetable();
}

require_once THEMES."templates/footer.php";
?>