<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Starefossen
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

include INFUSIONS."sf_admin_log_panel/infusion_db.php";

if (file_exists(INFUSIONS."sf_admin_log_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."sf_admin_log_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."sf_admin_log_panel/locale/English.php";
}
// Infusion Information
$inf_title = $locale['admlog_01'];
$inf_description = $locale['admlog_01']; "Detailed logs for what admins have done at the site!";
$inf_version = "2.0.0";
$inf_developer = "Starefossen &amp; HobbyMan";
$inf_email = "starefossen@php-fusion.co.uk";
$inf_weburl = "http://code.starefossen.com";

$inf_folder = "sf_admin_log_panel";

// Delete any items not required below.
$inf_newtable[1] = DB_ADMIN_LOG." (
  log_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  log_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
  log_type TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  log_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  log_user_cite MEDIUMINT(8) UNSIGNED NOT NULL,
  log_details TEXT NOT NULL,
  log_public TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  log_ip VARCHAR(20) NOT NULL DEFAULT '0.0.0.0',
  log_timestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (log_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_ADMIN_LOG_CATS." (
  log_cat_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  log_cat_name VARCHAR(200) NOT NULL DEFAULT '1',
  PRIMARY KEY (log_cat_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_ADMIN_LOG_STGS." (
  set_onf TINYINT(1) DEFAULT '0' NOT NULL,
  set_comm TINYINT(1) DEFAULT '0' NOT NULL,
  set_admed TINYINT(1) DEFAULT '0' NOT NULL,
  set_pagnum SMALLINT(5) DEFAULT '20' NOT NULL,
  set_icons TINYINT(1) DEFAULT '0' NOT NULL,
  PRIMARY KEY (set_pagnum)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_ADMIN_LOG_STGS." (set_onf, set_comm, set_admed, set_pagnum, set_icons) VALUES('0', '2', '0', '20', '0')";

$inf_droptable[1] = DB_ADMIN_LOG;
$inf_droptable[2] = DB_ADMIN_LOG_CATS;
$inf_droptable[3] = DB_ADMIN_LOG_STGS;

$inf_deldbrow[1] = "DELETE FROM ".DB_COMMENTS." WHERE comment_type='AL'";

$inf_adminpanel[1] = array(
	"title" => $locale['admlog_01'],
	"image" => "infusion_panel.gif",
	"panel" => "admin/index.php",
	"rights" => "ALOG"
);

$inf_sitelink[1] = array(
	"title" => $locale['admlog_03'],
	"url" => "index.php",
	"visibility" => "0"
);

?>